VisibleForTesting.Visibility (Apache JMeter dist API)
Description: declaration: package: org.apache.jorphan.documentation, annotation type: VisibleForTesting, enum: Visibility

Package org.apache.jorphan.documentation

# Enum VisibleForTesting.Visibility

java.lang.Object
java.lang.Enum<VisibleForTesting.Visibility>
org.apache.jorphan.documentation.VisibleForTesting.Visibility

All Implemented Interfaces:
  `Serializable`, `Comparable<VisibleForTesting.Visibility>`, `java.lang.constant.Constable`

Enclosing class:
  VisibleForTesting

public static enum VisibleForTesting.Visibility extends Enum<VisibleForTesting.Visibility>
Intended visibility if the element had not been made public or package-private for testing.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PACKAGE`
  The element should be considered package-private.
  `PRIVATE`
  The element should be considered private.
  `PROTECTED`
  The element should be considered protected.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VisibleForTesting.Visibility`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static VisibleForTesting.Visibility[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PROTECTED

    public static final VisibleForTesting.Visibility PROTECTED
    The element should be considered protected.

  - ### PACKAGE

    public static final VisibleForTesting.Visibility PACKAGE
    The element should be considered package-private.

  - ### PRIVATE

    public static final VisibleForTesting.Visibility PRIVATE
    The element should be considered private.

- ## Method Details

  - ### values

    public static VisibleForTesting.Visibility[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static VisibleForTesting.Visibility valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null